Bug 852100 - Both inactive and Maintenance statuses are displayed as 'Inactive' for storage domain
Both inactive and Maintenance statuses are displayed as 'Inactive' for storag...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
All Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 11:44 EDT by Laszlo Hornyak
Modified: 2016-02-10 13:39 EST (History)
14 users (show)

See Also:
Fixed In Version: SI20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Hornyak 2012-08-27 11:44:25 EDT
A storage domain in the DB is in Maintenance status, however in the storage domain view of the webadmin it appears as 'Inactive'. This is misleading both for users and developers.
Comment 1 Laszlo Hornyak 2012-08-27 11:44:58 EDT
see https://bugzilla.redhat.com/812621
Comment 2 Asaf Shakarchi 2012-09-10 07:38:48 EDT
Currently in main storage domain table we display the 'Shared Status' per storage domain, which is the cross Data-Centers status.

This field value set to 2 (InActive) when (any) storage domain is in maintenance mode,

Lazlo, I believe you looked at the 'status' field and not the 'storage_domain_shared_status' which is what we display in the UI.

One option is to avoid using the shared status for non iso storage domains,
Another option could be to avoid displaying any value on the shared status for non iso storage domains,



Ayal, please assist with describing the appropriate behaviour,


Thanks.
Comment 3 Ayal Baron 2012-09-12 08:23:37 EDT
(In reply to comment #2)
> Currently in main storage domain table we display the 'Shared Status' per
> storage domain, which is the cross Data-Centers status.
> 
> This field value set to 2 (InActive) when (any) storage domain is in
> maintenance mode,
> 
> Lazlo, I believe you looked at the 'status' field and not the
> 'storage_domain_shared_status' which is what we display in the UI.
> 
> One option is to avoid using the shared status for non iso storage domains,

this would probably be easiest.

> Another option could be to avoid displaying any value on the shared status
> for non iso storage domains,
> 
> 
> 
> Ayal, please assist with describing the appropriate behaviour,
> 
> 
> Thanks.
Comment 4 Asaf Shakarchi 2012-09-13 05:44:29 EDT
Okay, then for non ISO storage domain, maybe we can write 'Status per Data-Center'
If this is not self explanatory, then we can explain it in more details with a tooltip.

Please ack the status string or provide an alternative,
If tooltip is required please provide the description,

Thanks.
Comment 5 Ayal Baron 2012-09-13 08:26:06 EDT
(In reply to comment #4)
> Okay, then for non ISO storage domain, maybe we can write 'Status per
> Data-Center'
> If this is not self explanatory, then we can explain it in more details with
> a tooltip.
> 
> Please ack the status string or provide an alternative,
> If tooltip is required please provide the description,
> 
> Thanks.

Why? the cross data-center status is the same as the single data-center status seeing as there is a single data-center.  1 data center is a private case of multiple.

What would happen with an ISO domain that is only attached to 1 dc? it's exactly the same.
Comment 6 Asaf Shakarchi 2012-09-20 11:16:13 EDT
Since there's no reason to display the shared cross datacenter status for non ISO domains, I go with the following solution:

For non ISO domain, display the single status of the domain,
For ISO domains, continue displaying the shared cross dc status.
Comment 7 Asaf Shakarchi 2012-09-27 13:02:39 EDT
Patch submitted according to the suggested logic in comment #6:

http://gerrit.ovirt.org/#/c/8258/
Comment 8 Allon Mureinik 2012-10-03 07:29:55 EDT
Merged change id I3faa0d0504520513ce0c565b2476779d0362edfb
Comment 9 Leonid Natapov 2012-10-14 08:21:54 EDT
si20. non ISO domains displaying the single status now.

Note You need to log in before you can comment on or make changes to this bug.